## asyncgpio-0.4.0.tar.gz

=== Makefile ===
#!/usr/bin/make -f

.PHONY: doc test update all tag pypi upload

all:
		@echo "Please use 'python setup.py'."
		@exit 1

# need to use python3 sphinx-build
PATH := /usr/share/sphinx/scripts/python3:${PATH}

PACKAGE = asyncgpio
PYTHON ?= python3
SPHINX ?= sphinx3-build
export PYTHONPATH=$(shell pwd)

PYTEST ?= ${PYTHON} $(shell which pytest-3)
TEST_OPTIONS ?= -xvvv --full-trace
PYLINT_RC ?= .pylintrc

BUILD_DIR ?= build
INPUT_DIR ?= docs/source

# Sphinx options (are passed to build_docs, which passes them to sphinx-build)
#   -W       : turn warning into errors
#   -a       : write all files
#   -b html  : use html builder
#   -i [pat] : ignore pattern

SPHINXOPTS ?= -a -W -b html
AUTOSPHINXOPTS := -i *~ -i *.sw* -i Makefile*

SPHINXBUILDDIR ?= $(BUILD_DIR)/sphinx/html
ALLSPHINXOPTS ?= -d $(BUILD_DIR)/sphinx/doctrees $(SPHINXOPTS) docs

doc:
	$(SPHINX) -a $(INPUT_DIR) $(BUILD_DIR)

livehtml: docs
	sphinx-autobuild $(AUTOSPHINXOPTS) $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)

test:
	$(PYTEST) $(PACKAGE) $(TEST_OPTIONS)


tagged:
	git describe --tags --exact-match
	test $$(git ls-files -m | wc -l) = 0

pypi:   tagged
	python3 setup.py sdist upload

upload: pypi
	git push-all --tags

update:
	pip install -r ci/test-requirements.txt

=== debian/changelog ===
asyncgpio (0.4.0-3) unstable; urgency=medium

  * Use tagged version

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 22 May 2020 21:19:10 +0200

asyncgpio (0.4.0-2) unstable; urgency=medium

  * Edit error

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 22 May 2020 21:12:43 +0200

asyncgpio (0.4.0-1) unstable; urgency=medium

  * Update to libgpiod 1.4.

 -- Matthias Urlichs <matthias@urlichs.de>  Fri, 22 May 2020 21:10:25 +0200

asyncgpio (0.3.0-1) unstable; urgency=medium

  * Renamed.

 -- Matthias Urlichs <matthias@urlichs.de>  Thu, 20 Jun 2019 13:01:02 +0200

trio-gpio (0.2.4-1) unstable; urgency=medium

  * New release

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 11 Jun 2018 21:29:33 +0200

trio-gpio (0.2.3-2) unstable; urgency=medium

  * TL;DR: didn't RTFM

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 11 Jun 2018 09:08:30 +0200

trio-gpio (0.2.2-1) unstable; urgency=medium

  * Access errno

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 11 Jun 2018 08:29:53 +0200

trio-gpio (0.2.1-1) unstable; urgency=medium

  * Allow (and prefer) the GPIO chip label instead of its number.

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 11 Jun 2018 04:48:44 +0200

trio-gpio (0.1.1-2) unstable; urgency=medium

  * Cleanup 2

 -- Matthias Urlichs <matthias@urlichs.de>  Mon, 28 May 2018 02:35:07 +0200

trio-gpio (0.1.1-1) unstable; urgency=medium

  * Cleanup

 -- Matthias Urlichs <matthias@urlichs.de>  Sat, 10 Mar 2018 18:36:19 +0100

trio-gpio (0.1.0-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5

 -- Matthias Urlichs <matthias@urlichs.de>  Wed, 07 Mar 2018 13:34:02 +0100

=== debian/control ===
Source: asyncgpio
Maintainer: Matthias Urlichs <matthias@urlichs.de>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9),
  libgpiod-dev (>= 1.4),
  python3-cffi,
  python3-setuptools-scm,
Standards-Version: 3.9.6
Homepage: https://github.com/M-o-a-T/asyncgpio

Package: python3-asyncgpio
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
  libgpiod2 (>= 1.4),
  python3-cffi,
  python3-trio,
Standards-Version: 3.9.6
Description: GPIO access via Trio and libgpiod
 Trio-GPIO allows easy access to the GPIO pins on your Raspberry Pi or
 similar embedded computer.
 .
 It is based on libgpiod and its CFFI adapter by Steven P. Goldsmith
 <sgjava@gmail.com>, as downloaded from
 `https://github.com/sgjava/userspaceio.git`__.
 .
 This version has been updated to libgpiod 1.4.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 07 Mar 2018 13:34:02 +0100
export PYBUILD_NAME=asyncgpio
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/asyncgpio/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/asyncgpio/asyncgpio-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
